Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class SciRadioElement

    java.lang.Object
      com.plumtree.remote.sci.SciRadioElement

All Implemented Interfaces:
  ISciElement

public class SciRadioElement
extends java.lang.Object
implements ISciElement

Represents a radio control.

Constructor Summary
`SciRadioElement(java.lang.String fieldName, java.lang.String labelText)` Valued constructor

Method Summary
`org.w3c.dom.Node` | `getRootNode()` Gets the root `Node` to add to the page.
`void` | `setCheckedValue(int value)` Sets the selected value.
`void` | `setImage(java.lang.String image)` Sets the image.
`void` | `setLabelStyle(TypeStyle labelStyle)` Sets the label style (important or normal).
`void` | `setMandatoryValidation(java.lang.String message)` Sets mandatory validation for the control.
`void` | `setRegExpValidation(java.lang.String message, java.lang.String re, TypeMatch matchType)` Sets regular expression validation for the control.
`void` | `setStorageType(TypeStorage storageType)` Sets the storage type (string or integer).
`void` | `setUnCheckedValue(int value)` Sets the unselected value.
`void` | `setValue(int value)` Sets the value of the control.
`java.lang.String` | `toString()` Writes the element to a string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SciRadioElement

    public SciRadioElement(java.lang.String fieldName,
                           java.lang.String labelText)

  Valued constructor

Parameters:
  `fieldName` - the name of the field; should be uppercase as the portal will uppercase all names in the `NamedValue[]` returned by `IAdminEditor.finalize()`
  `labelText` - the text to display to the left of the field

Method Detail

### setCheckedValue

    public void setCheckedValue(int value)

  Sets the selected value.

  Parameters:
    `value` - the selected value

### setUnCheckedValue

    public void setUnCheckedValue(int value)

  Sets the unselected value.

  Parameters:
    `value` - the unselected value

### setImage

    public void setImage(java.lang.String image)

  Sets the image.

  Parameters:
    `image` - the path to the image

### setValue

    public void setValue(int value)

  Sets the value of the control.

  Parameters:
    `value` - the field value

### setStorageType

    public void setStorageType(TypeStorage storageType)

  Sets the storage type (string or integer).

  Parameters:
    `storageType` - the `TypeStorage`

### setLabelStyle

    public void setLabelStyle(TypeStyle labelStyle)

  Sets the label style (important or normal).

  Parameters:
    `labelStyle` - the `TypeStyle`

### setMandatoryValidation

    public void setMandatoryValidation(java.lang.String message)

  Sets mandatory validation for the control.

  Parameters:
    `message` - the message to display in the JavaScript alert if the field is empty

### setRegExpValidation

    public void setRegExpValidation(java.lang.String message,
                                    java.lang.String re,
                                    TypeMatch matchType)

  Sets regular expression validation for the control.

  Parameters:
    `message` - the message to display in the JavaScript alert if the field value does not match the regular expression
    `re` - the regular expression to match or not match
    `matchType` - the `TypeMatch` (match or not-match)

### getRootNode

    public org.w3c.dom.Node getRootNode()

  Gets the root `Node` to add to the page.

  Specified by:
    `getRootNode` in interface `ISciElement`
  Returns:
    the root `Node`

### toString

    public java.lang.String toString()

  Writes the element to a string for debugging.

  Returns:
    the element as a string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.